org.apache.commons.jexl3

## Class JexlException.Variable

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.jexl3.JexlException
        - - org.apache.commons.jexl3.JexlException.Variable

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    JexlException

      public static class JexlException.Variable
      extends JexlException

  Thrown when a variable is unknown.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

      `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Variable(org.apache.commons.jexl3.parser.JexlNode node, String var, boolean undef)` Creates a new Variable exception instance.
    `Variable(org.apache.commons.jexl3.parser.JexlNode node, String var, JexlException.VariableIssue vi)` Creates a new Variable exception instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getVariable()`
    `boolean` | `isUndefined()` Whether the variable causing an error is undefined or evaluated as null.

    - ### Methods inherited from class org.apache.commons.jexl3.JexlException

      `annotationError, clean, getDetail, getInfo, getInfo, getMessage, methodError, methodError, operatorError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Variable

          public Variable(org.apache.commons.jexl3.parser.JexlNode node,
                          String var,
                          JexlException.VariableIssue vi)

      Creates a new Variable exception instance.
      Parameters:
        `node` - the offending ASTnode
        `var` - the unknown variable
        `vi` - the variable issue

    - #### Variable

          public Variable(org.apache.commons.jexl3.parser.JexlNode node,
                          String var,
                          boolean undef)

      Creates a new Variable exception instance.
      Parameters:
        `node` - the offending ASTnode
        `var` - the unknown variable
        `undef` - whether the variable is undefined or evaluated as null

  - ### Method Detail

    - #### isUndefined

          public boolean isUndefined()

      Whether the variable causing an error is undefined or evaluated as null.
      Returns:
        true if undefined, false otherwise

    - #### getVariable

          public String getVariable()

      Returns:
        the variable name

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.